{
  inputs,
  outputs,
  lib,
  config,
  pkgs,
  ...
}: {
  nixpkgs = {
    # You can add overlays here
    overlays = [
      # Add overlays your own flake exports (from overlays and pkgs dir):
      outputs.overlays.additions
      outputs.overlays.modifications
    ];
  };

  environment.systemPackages = with pkgs; [
    # Custom tools
    rebuild
    rebuild-no-inhibit
    install-nix
    update
    upgrade

    # System tools
    age
    alejandra
    e2fsprogs
    git
    git-filter-repo
    helix
    home-manager
    htop
    killall
    neofetch
    oh-my-zsh
    rsync
    tre-command
    wget
    zsh
    tldr

    # System libraries
  ];
  fonts = {
    packages = with pkgs; [
      cantarell-fonts
      dejavu_fonts
      fira-code
      noto-fonts
      noto-fonts-cjk-sans
      noto-fonts-cjk-serif
      paratype-pt-sans
      paratype-pt-mono
      paratype-pt-serif
      roboto
      twemoji-color-font
    ];
    enableDefaultPackages = false;
  };
}
